Loading...
Searching...
No Matches
Exiv2::TypeInfo Class Reference

Type information lookup functions. Implemented as a static class. More...

`#include <types.hpp>`

## Static Public Member Functions

static const char * | typeName (TypeId typeId)
| Return the name of the type, 0 if unknown.
static TypeId | typeId (const std::string &typeName)
| Return the type id for a type name.
static long | typeSize (TypeId typeId)
| Return the size in bytes of one element of this type.

## Detailed Description

Type information lookup functions. Implemented as a static class.

The documentation for this class was generated from the following files:

- types.hpp
- types.cpp